Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.sql.whereclausebuilder
Class AbstractWhereClausePsPartBuilder

    java.lang.Object
      org.apache.torque.sql.whereclausebuilder.AbstractWhereClausePsPartBuilder

All Implemented Interfaces:
  WhereClausePsPartBuilder

Direct Known Subclasses:
  CurrentDateTimePsPartBuilder, InBuilder, LikeBuilder, NullValueBuilder, StandardBuilder

    public abstract class AbstractWhereClausePsPartBuilder

extends Object
implements WhereClausePsPartBuilder

Abstract base class for a WhereClausePsPartBuilder.

Version:
  $Id: AbstractWhereClausePsPartBuilder.java 1448414 2013-02-20 21:06:35Z tfischer $

Constructor Summary
`AbstractWhereClausePsPartBuilder()`

Method Summary
`static ObjectPsPartBuilder` | `getObjectOrColumnPsPartBuilder()` Returns the ObjectPsPartBuilder to use for single values or columns.
`static void` | `setObjectOrColumnPsPartBuilder(ObjectPsPartBuilder builder)` Set the ObjectPsPartBuilder to use for single values or columns.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.torque.sql.whereclausebuilder.WhereClausePsPartBuilder
`buildPs, isApplicable`

Constructor Detail

### AbstractWhereClausePsPartBuilder

    public AbstractWhereClausePsPartBuilder()

Method Detail

### getObjectOrColumnPsPartBuilder

    public static ObjectPsPartBuilder getObjectOrColumnPsPartBuilder()

  Returns the ObjectPsPartBuilder to use for single values or columns.

  Returns:
    the ObjectPsPartBuilder to use.

### setObjectOrColumnPsPartBuilder

    public static void setObjectOrColumnPsPartBuilder(ObjectPsPartBuilder builder)

  Set the ObjectPsPartBuilder to use for single values or columns.

  Parameters:
    `builder` - the new ObjectPsPartBuilder to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.